function [Aalpha] = createLUT
% [Aalpha] = createLUT generates the look-up table (Aalpha) from a Fourier
% series. The look-up table is a deformed circle.
% Patrik Malm code

steps = 2*pi/360;
as = [16 5 2 0.2];
bs = [20 7 5 2];
As = as + (bs - as) .* rand(1,4);

t = 0:steps:2*pi-steps;
thetas = rand(3,1) * 2 * pi;

Aalpha = As(1) + As(2)*cos(t + thetas(1)) + As(3)*cos(2*t + thetas(2)) + As(4)*cos(3*t + thetas(3));

x = Aalpha .* cos(t);
y = Aalpha .* sin(t);

% plot(x,y)